import { jsx as _jsx } from "react/jsx-runtime";
import { LinearProgress, linearProgressClasses, styled, } from "@mui/joy";
const BorderLinearProgress = styled((props) => (_jsx(LinearProgress, { variant: props.variant, value: props.value, color: props.color ?? "primary" })))(({ theme }) => ({
    height: 5,
    borderRadius: 5,
    [`&.${linearProgressClasses.colorPrimary}`]: {
        backgroundColor: theme.palette.neutral[theme.palette.mode === "light" ? 200 : 800],
    },
    [`& .${linearProgressClasses.root}`]: {
        borderRadius: 5,
        backgroundColor: theme.palette.mode === "light" ? "#1a90ff" : "#308fe8",
    },
}));
export default BorderLinearProgress;
