import { ModalProps } from "@mui/joy";
import { PopperProps } from "@mui/base";
import { PropsWithChildren, ReactElement } from "react";
import { PickersActionBarProps } from "@mui/x-date-pickers/PickersActionBar";
export interface NerdPickerWrapperProps {
    popperProps: PopperProps;
    modalProps: Omit<ModalProps, "children">;
    dialogActionBarProps?: PickersActionBarProps;
    popperActionBarProps?: PickersActionBarProps;
}
/**
 *
 * @param {NerdPickerWrapperProps} props Component props
 * @returns {ReactElement} NerdPickerWrapper
 */
declare function NerdPickerWrapper(props: PropsWithChildren<NerdPickerWrapperProps>): ReactElement;
export { NerdPickerWrapper };
