import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdAdvancedSearchState {
    selectedPresets: number[];
}
export declare const nerdAdvancedSearch: import("@reduxjs/toolkit").Slice<NerdAdvancedSearchState, {
    setSelectedPresets: (state: import("immer/dist/internal").WritableDraft<NerdAdvancedSearchState>, action: PayloadAction<number[]>) => import("immer/dist/internal").WritableDraft<NerdAdvancedSearchState>;
}, "nerdAdvancedSearch">;
export declare const setSelectedPresets: import("@reduxjs/toolkit").ActionCreatorWithPayload<number[], "nerdAdvancedSearch/setSelectedPresets">;
export declare const nerdAdvancedSearchReducer: import("redux").Reducer<NerdAdvancedSearchState, import("redux").AnyAction>;
export declare const nerdAdvancedSearchSelectedPresetsSelector: ((state: AppState) => number[]) & import("reselect").OutputSelectorFields<(args_0: number[]) => number[], {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
