import { ReactElement, JSXElementConstructor } from "react";
import { ButtonProps } from "@mui/joy";
type SlotProps<Props, Overrides> = Partial<Props & Overrides>;
export interface NerdFileUploadRootPropsOverrides {
}
export type NerdFileUploadProps = {
    dropZoneLabel?: string;
    accept?: string[];
    maxSize?: number;
    onError?: (error: Error) => void;
    slots?: {
        root?: JSXElementConstructor<any>;
    };
    slotProps?: {
        root?: SlotProps<ButtonProps, NerdFileUploadRootPropsOverrides>;
    };
} & conditionalTypes;
type conditionalTypes = {
    multiple: true;
    uploadFile?: (files: File[]) => void;
} | {
    multiple?: false;
    uploadFile?: (file: File) => void;
};
/**
 *
 * @param {NerdFileUploadProps} props Component props
 * @returns {ReactElement} NerdFileUpload
 */
export default function NerdFileUpload(props: NerdFileUploadProps): ReactElement;
export {};
