import { ReactElement } from "react";
export type History = {
    date: number;
    endpoint: string;
    label: string;
    subtitle: string;
    pinned: boolean;
};
export interface NerdHistoryProps {
    historykey: string;
    openKey: string;
    anchor?: "left" | "right";
    pathesToIgnore?: RegExp[];
}
/**
 *
 * @param {NerdHistoryProps} props Props
 * @returns {ReactElement} NerdHistory
 */
export declare function NerdHistory(props: NerdHistoryProps): ReactElement;
