import { ButtonProps } from "@mui/joy";
import { ReactElement } from "react";
export interface NerdNotificationProps {
    icon?: ReactElement;
    showIcon?: boolean;
    variant?: "intrusive" | "non-intrusive";
    severity?: "danger" | "warning" | "primary" | "success";
    title?: string | JSX.Element;
    subtitle?: string | JSX.Element;
    body?: string | JSX.Element;
    autohide?: boolean;
    autoHideDuration?: number;
    position?: {
        vertical: "top" | "bottom";
        horizontal: "left" | "right" | "center";
    };
    error?: unknown;
}
export interface NerdNotifierProps {
    hideReportButton?: boolean;
    onClose?: () => void;
    actionPrimaryProps?: ButtonProps;
    actionSecondaryProps?: ButtonProps;
}
