import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Box, DialogActions, DialogContent, Modal, ModalDialog, } from "@mui/joy";
import { Popper } from "@mui/base";
import { CustomActionBar } from "./customActionBar";
/**
 *
 * @param {NerdPickerWrapperProps} props Component props
 * @returns {ReactElement} NerdPickerWrapper
 */
function NerdPickerWrapper(props) {
    const { modalProps, popperProps, children, dialogActionBarProps, popperActionBarProps, } = props;
    return (_jsxs(_Fragment, { children: [_jsx(Modal, { ...modalProps, sx: {
                    display: { sm: "initial", md: "none" },
                }, children: _jsxs(ModalDialog, { layout: "fullscreen", children: [_jsx(DialogContent, { children: children }), dialogActionBarProps && (_jsx(DialogActions, { children: _jsx(CustomActionBar, { ...dialogActionBarProps }) }))] }) }), _jsx(Box, { sx: {
                    display: { sm: "none", md: "initial" },
                }, children: _jsxs(Popper, { ...popperProps, disablePortal: true, children: [children, popperActionBarProps && (_jsx(Box, { justifyContent: "end", p: 1, children: _jsx(CustomActionBar, { ...popperActionBarProps }) }))] }) })] }));
}
export { NerdPickerWrapper };
