import { PayloadAction } from "@reduxjs/toolkit";
import { NerdNotificationProps } from "../../nerdNotifier/typings";
import { AppState } from "../appState";
export interface NerdNotificationState {
    notification?: NerdNotificationProps;
}
export declare const notificationInitialState: NerdNotificationState;
export declare const notificationSlice: import("@reduxjs/toolkit").Slice<NerdNotificationState, {
    showNotification: (state: import("immer/dist/internal").WritableDraft<NerdNotificationState>, action: PayloadAction<NerdNotificationProps | undefined>) => import("immer/dist/internal").WritableDraft<NerdNotificationState>;
    clearNotification: () => undefined;
}, "notification">;
export declare const showNotification: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<NerdNotificationProps | undefined, "notification/showNotification">, clearNotification: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"notification/clearNotification">;
export declare const notificationReducer: import("redux").Reducer<NerdNotificationState, import("redux").AnyAction>;
export declare const nerdNotifierNotificationSelector: ((state: AppState) => NerdNotificationProps | undefined) & import("reselect").OutputSelectorFields<(args_0: NerdNotificationProps | undefined) => NerdNotificationProps | undefined, {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
